# template: scl
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name pulp_2to3_migration_client

%global release 1
# %%global prerelease b6
# %%global prereleaserpm %{?prerelease:.}%{?prerelease}

Name: %{?scl_prefix}rubygem-%{gem_name}
Epoch: 1
Version: 0.10.0
Release: %{?prereleaserpm:0.}%{release}%{?prereleaserpm}%{?dist}
Summary: Pulp 3 API Ruby Gem
Group: Development/Languages
License: GPL-2.0+
URL: https://github.com/pulp/pulp-2to3-migration
Source0: https://rubygems.org/gems/%{gem_name}-%{version}%{?prerelease}.gem

# start specfile generated dependencies
Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}ruby >= 1.9
Requires: %{?scl_prefix_ruby}ruby(rubygems)
Requires: %{?scl_prefix}rubygem(faraday) >= 0.14.0
Requires: %{?scl_prefix_ruby}rubygem(json) >= 2.1.0
Requires: %{?scl_prefix_ruby}rubygem(json) >= 2.1
Requires: %{?scl_prefix_ruby}rubygem(json) < 3
BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}ruby >= 1.9
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
# end specfile generated dependencies

%description
Provides a client for pulp2 to pulp3 migration support within pulp3

%package doc
Summary: Documentation for %{pkg_name}
Group: Documentation
Requires: %{?scl_prefix}%{pkg_name} = %{epoch}:%{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{pkg_name}.

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}

%setup -q -D -T -n  %{gem_name}-%{version}%{?prerelease}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build
# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/git_push.sh
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/pulp_2to3_migration_client.gemspec
%{gem_instdir}/spec

%changelog
* Wed Apr 07 2021 Evgeni Golov - 1:0.10.0-1
- Release rubygem-pulp_2to3_migration_client 0.10.0

* Thu Feb 11 2021 Justin Sherrill <jsherril@redhat.com> 1:0.7.0-1
- Update to 0.7.0

* Mon Jan 11 2021 ianballou <ianballou67@gmail.com> 1:0.6.0-1
- Update to 0.6.0

* Thu Oct 15 2020 ianballou <ianballou67@gmail.com> 1:0.5.0-1
- Update to 0.5.0

* Wed Aug 26 2020 Justin Sherrill <jsherril@redhat.com> 1:0.3.0-1
- Update to 0.3.0

* Mon Aug 03 2020 Samir Jha <sjha4@ncsu.edu> 1:0.2.0-0.1.b6
- Update to 0.2.0b6

* Mon May 04 2020 Justin Sherrill <jsherril@redhat.com> 1:0.2.0-0.1.b2
Update to 0.2.0b2

* Thu Mar 26 2020 Samir Jha <sjha4@ncsu.edu> 1:0.2.0-0.1.b1
- Update to 0.2.0b1-1

* Wed Feb 19 2020 Justin Sherrill <jsherril@redhat.com> 1:0.0.1-0.1.rc1
- Update to 0.0.1rc1

* Thu Oct 10 2019 <Justin Sherrill> 0.0.1a1.dev01570560174-1
- Initial build generated by gem2rpm using the scl template
